<div class="ecl-u-pa-none ecl-u-mb-4xl">
  <ecl-banner fontSize="m" boxBackground="dark" horizontalAlignment="center" verticalAlignment="center" fontColor="light">
    <picture eclBannerPicture>
      <img
        class="ecl-banner__image"
        eclBannerImage
        src="assets/images/banner-images/{{ selectedCountry?.name.toLowerCase() }}.jpg"
        alt="" />
    </picture>
    <div eclBannerTitle>
      <span eclBannerTitleText class="ee-banner-title">
        {{ selectedCountry.name }}
      </span>
    </div>
    <p eclBannerDescription>
      <span eclBannerDescriptionText class="ee-banner-subtitle">
        {{ 'ms-page.banner.subtitle' | translate: { countryName: selectedCountry.name } }}
      </span>
    </p>
  </ecl-banner>

  <main class="ecl-container">
    <!-- Mini cards -->
    <div class="ecl-u-d-flex ecl-u-flex-row ecl-u-justify-content-between ee-mini-cards-container ecl-u-pb-2xl">
      <ng-container *ngFor="let card of miniCardsData" class="ecl-u-ph-l">
        <app-mini-card [cardData]="card" />
      </ng-container>
    </div>

    <!-- Tabs -->
    <ecl-tabs (tabSelect)="onTabSelect($event)">
      <ecl-tab [isActive]="selectedTab === '1'" id="1">
        <ecl-tab-label class="ecl-u-pb-l">{{ 'ms-page.tabs.overview' | translate }}</ecl-tab-label>
        <ng-container *ngTemplateOutlet="proceduresTable" />
        <ng-container *ngTemplateOutlet="requirementsTable" />
        <ng-container *ngTemplateOutlet="evidencesTable" />
      </ecl-tab>
      <ecl-tab [isActive]="selectedTab === '2'" id="2">
        <ecl-tab-label>{{ 'ms-page.tabs.procedures' | translate }}</ecl-tab-label>
        <ng-container *ngIf="selectedTab === '2'">
          <ng-container *ngTemplateOutlet="proceduresTable" />
        </ng-container>
      </ecl-tab>
      <ecl-tab [isActive]="selectedTab === '3'" id="3">
        <ecl-tab-label>{{ 'ms-page.tabs.requirements' | translate }}</ecl-tab-label>
        <ng-container *ngIf="selectedTab === '3'">
          <ng-container *ngTemplateOutlet="requirementsTable" />
        </ng-container>
      </ecl-tab>
      <ecl-tab [isActive]="selectedTab === '4'" id="4">
        <ecl-tab-label>{{ 'ms-page.tabs.evidencesAndAuthorities' | translate }}</ecl-tab-label>
        <ng-container *ngIf="selectedTab === '4'">
          <ng-container *ngTemplateOutlet="evidencesTable" />
        </ng-container>
      </ecl-tab>
    </ecl-tabs>
  </main>
</div>

<!-- Templates -->
<ng-template #proceduresTable>
  <h2 class="ee-title">{{ 'ms-page.tables.title.procedures' | translate }}</h2>
  <ng-container *ngIf="procedures$ | async as procedures">
    <div class="ecl-container ecl-u-d-flex">
      <div class="filters__select ecl-u-mt-none wi ecl-u-pr-xl">
        <select
          [formControl]="proceduresControl"
          eclMultiselect
          eclSize="xl"
          [eclPlaceholder]="'ms-page.filters.placeholder.procedures' | translate"
          (eclChange)="filterChange($event, FilterEnum.PROCEDURE)">
          <option
            eclMultiselectOption
            *ngFor="let option of proceduresDropdownOptions$ | async"
            [value]="option.value"
            [label]="option.label | translate">
          </option>
        </select>
      </div>
      <div class="filters__select ecl-u-mt-none wi">
        <select
          [formControl]="lifeEventControl"
          eclMultiselect
          eclSize="xl"
          [eclPlaceholder]="'ms-page.filters.placeholder.lifeEvent' | translate"
          (eclChange)="filterChange($event, FilterEnum.LIFE_EVENT)">
          <option
            eclMultiselectOption
            *ngFor="let option of lifeEventsDropdownOptions$ | async"
            [value]="option.value"
            [label]="option.label | translate">
          </option>
        </select>
      </div>
    </div>
    <br />
    <app-table
      class="ecl-u-pt-2xl"
      [tableConfig]="proceduresTableConfig"
      [isMobile]="false"
      [tableData]="procedures"
      [backendSortAndPagination]="false"
      [forcePageSize]="forcePageSize"
      (chipClicked)="redirectToDetailsPage($event, DataTypeEnum.REQUIREMENT)"
      (linkClick)="redirectToDetailsPage($event, DataTypeEnum.PROCEDURE)"
      (paginationChanged)="paginationChanged($event, DataTypeEnum.PROCEDURE)"
      (sortChanged)="sortChanged($event, DataTypeEnum.PROCEDURE)" />
  </ng-container>
</ng-template>

<ng-template #requirementsTable>
  <h2 class="ee-title">{{ 'ms-page.tables.title.requirements' | translate }}</h2>
  <ng-container *ngIf="requirements$ | async as requirements">
    <div class="ecl-container ecl-u-d-flex">
      <div class="filters__select ecl-u-mt-none wi ecl-u-pr-xl">
        <select
          [formControl]="domainControl"
          eclMultiselect
          eclSize="xl"
          [eclPlaceholder]="'ms-page.filters.placeholder.domain' | translate"
          (eclChange)="filterChange($event, FilterEnum.DOMAIN)">
          <option
            eclMultiselectOption
            *ngFor="let option of domainsDropdownOptions$ | async"
            [value]="option.value"
            [label]="option.label | translate">
          </option>
        </select>
      </div>
    </div>
    <br />
    <app-table
      class="ecl-u-pt-2xl"
      [tableConfig]="requirementsTableConfig"
      [isMobile]="false"
      [backendSortAndPagination]="false"
      [tableData]="requirements"
      [forcePageSize]="forcePageSize"
      (chipClicked)="redirectToDetailsPage($event, DataTypeEnum.EVIDENCE)"
      (linkClick)="redirectToDetailsPage($event, DataTypeEnum.REQUIREMENT)"
      (paginationChanged)="paginationChanged($event, DataTypeEnum.REQUIREMENT)"
      (sortChanged)="sortChanged($event, DataTypeEnum.REQUIREMENT)" />
  </ng-container>
</ng-template>

<ng-template #evidencesTable>
  <h2 class="ee-title">{{ 'ms-page.tables.title.evidences' | translate }}</h2>
  <ng-container *ngIf="evidences$ | async as evidences">
    <app-table
      class="ecl-u-pt-2xl"
      [tableConfig]="evidencesTableConfig"
      [isMobile]="false"
      [tableData]="evidences"
      [forcePageSize]="forcePageSize"
      [backendSortAndPagination]="false"
      (chipClicked)="redirectToDetailsPage($event, DataTypeEnum.AUTHORITY)"
      (linkClick)="redirectToDetailsPage($event, DataTypeEnum.EVIDENCE)"
      (paginationChanged)="paginationChanged($event, DataTypeEnum.EVIDENCE)"
      (sortChanged)="sortChanged($event, DataTypeEnum.EVIDENCE)" />
  </ng-container>
</ng-template>
